Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 86541

Summary: mail-client/sylpheed[-claws] 1.0.4 released with security fix
Product: Gentoo Security Reporter: Henryk Plötz <henryk>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: genone, hattya, net-mail
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: B2 [glsa] jaervosz
Package list:
Runtime testing required: ---

Description Henryk Plötz 2005-03-24 08:36:29 UTC
A new version of mail-client/sylpheed has been released, which contains a security fix. Simply copying the existing sylpheed-1.0.3.ebuild to sylpheed-1.0.4.ebuild works for me.

Reproducible: Always
Steps to Reproduce:
Comment 1 Marius Mauch (RETIRED) gentoo-dev 2005-03-24 13:11:10 UTC
same situation for -claws, I'll put the 1.0.4 version for that in the tree later today. Description from sylpheed homepage:
"A buffer overflow which occurred when displaying a message with attachments which have MIME-encoded filenames was fixed."
Comment 2 Thierry Carrez (RETIRED) gentoo-dev 2005-03-26 09:13:46 UTC
genone, hattya, don't forget to bump
Comment 3 Marius Mauch (RETIRED) gentoo-dev 2005-03-28 23:26:39 UTC
sorry, got sidetracked with some urgent private issues. -claws bumped with x86 and amd64 as stable.
Comment 4 Fernando J. Pereda (RETIRED) gentoo-dev 2005-03-29 08:26:33 UTC
sylpheed bumped to 1.0.4 with x86 stable and ~arch for the rest.

Cheers,
Ferdy
Comment 5 Sune Kloppenborg Jeppesen gentoo-dev 2005-03-29 08:37:40 UTC
Thx genone and ferdy.

Arches please test and mark stable. Target keywords are:

sylpheed-1.0.4: alpha amd64 hppa ia64 ppc ppc64 sparc x86
sylpheed-claws-1.0.4: x86 ppc sparc amd64 alpha
Comment 6 Markus Rothe (RETIRED) gentoo-dev 2005-03-29 09:59:49 UTC
stable on ppc64
Comment 7 Michael Hanselmann (hansmi) (RETIRED) gentoo-dev 2005-03-29 10:55:09 UTC
Stable on ppc.
Comment 8 Michael Hanselmann (hansmi) (RETIRED) gentoo-dev 2005-03-29 12:41:34 UTC
sylpheed stable on hppa, thanks to KillerFox for testing.
Comment 9 Gustavo Zacarias (RETIRED) gentoo-dev 2005-03-29 14:15:00 UTC
sparc done.
Comment 10 Bryan Østergaard (RETIRED) gentoo-dev 2005-03-30 00:25:17 UTC
Stable on alpha.
Comment 11 Jan Brinkmann (RETIRED) gentoo-dev 2005-03-30 04:29:01 UTC
stable on amd64
Comment 12 Thierry Carrez (RETIRED) gentoo-dev 2005-03-30 06:52:12 UTC
Apparently sylpheed-1.0.4 is still ~sparc
Comment 13 Gustavo Zacarias (RETIRED) gentoo-dev 2005-03-30 07:09:37 UTC
Blargh! It escaped my commit clutches.
Thanks for the headsup, sylpheed-1.0.4 now sparc stable.
Comment 14 Akinori Hattori gentoo-dev 2005-03-31 05:23:23 UTC
Stable on ia64.
Comment 15 Thierry Carrez (RETIRED) gentoo-dev 2005-04-02 02:46:22 UTC
GLSA 200504-02